| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Odbc

# Method Odbc.connect_lock()

Method connect_lock

  `int(0..1) connect_lock(void|int enable)`

Description

  Enable or disable a mutex that serializes all ODBC SQLConnect calls (i.e. when ODBC connections are created). This lock might be necessary to work around bugs in ODBC drivers.

Parameter `enable`

  Enables the mutex if nonzero, disables it otherwise. The state is not changed if this argument is left out.

Returns

  The old state of the flag.

Note

  This is currently enabled by default due to bugs in the current FreeTDS library (version 0.63), but that might change if the demand for this kludge ceases in the future. Therefore, if this setting is important to you then always set it explicitly. Hopefully most users don't need to bother with it.